Bug 1875440 - When editing a generated pipeline PATH_CONTEXT is not editable
Summary: When editing a generated pipeline PATH_CONTEXT is not editable
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.6.0
Assignee: Christoph Jerolimov
QA Contact: spathak@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-03 14:16 UTC by Christoph Jerolimov
Modified: 2020-09-09 07:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)
When editing a generated pipeline PATH_CONTEXT is editable (266.94 KB, video/webm)
2020-09-08 11:28 UTC, spathak@redhat.com
no flags Details


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6520 None closed Bug 1875440: Make pipeline task parameter editable (if it was only defined in the pipeline, not in the task) 2020-09-08 11:23:18 UTC

Description Christoph Jerolimov 2020-09-03 14:16:22 UTC
Description of problem:
After importing an app via the Git import flow and adding a pipeline, and then editing the pipeline, the PATH_CONTEXT parameter on the "build" task of the generated pipeline is not editable.

Version-Release number of selected component (if applicable):
OpenShift Pipelines

How reproducible:
Always

Steps to Reproduce:
1. Install the OpenShift Pipelines Operator
2. Import a Java app via import Git flow and check "add pipeline"
3. Go to pipeline and edit pipeline to open it up in the pipeline builder
4. Click on the "build" task
5. Edit the PATH_CONTEXT param

Actual results:
PATH_CONTEXT is not editable

Expected results:
PATH_CONTEXT should be editable

Additional info:

Comment 1 Christoph Jerolimov 2020-09-03 14:32:24 UTC
Jira Issue: https://issues.redhat.com/browse/ODC-4414

Comment 2 spathak@redhat.com 2020-09-08 11:28:13 UTC
Created attachment 1714077 [details]
When editing a generated pipeline PATH_CONTEXT is editable

Comment 3 spathak@redhat.com 2020-09-08 11:28:59 UTC
Verified on build number: 4.6.0-0.nightly-2020-09-07-224533
Browser version: Chrome 84


Note You need to log in before you can comment on or make changes to this bug.